import { LoggerService, AuthService, DiscoveryService } from '@backstage/backend-plugin-api';
import { RoadieVectorStore, AugmentationIndexer } from '@alithya-oss/plugin-rag-ai-node';
import { CatalogApi } from '@backstage/catalog-client';
import { Config } from '@backstage/config';

/**
 * OpenAI client configuration to generate embeddings
 * @public
 */
interface RoadieOpenAiEmbeddingsConfig {
    logger: LoggerService;
    auth: AuthService;
    vectorStore: RoadieVectorStore;
    catalogApi: CatalogApi;
    discovery: DiscoveryService;
    config: Config;
}
/** @public */
declare function initializeOpenAiEmbeddings({ logger, auth, vectorStore, catalogApi, discovery, config, }: RoadieOpenAiEmbeddingsConfig): Promise<AugmentationIndexer>;

export { type RoadieOpenAiEmbeddingsConfig, initializeOpenAiEmbeddings };
